Subject: Offline Message from stephen yench: one of my sons' EB-5 cuts out almost imme
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 22 Jan 2022 17:21:18 -0000

From: stephen yench <[email-masked]>
Phone: 7143292345
Location: Corona, United States
URL: https://swagtron.com/swagtron-return-rma-form/
Department: SwagTron

one of my sons' EB-5 cuts out almost immediately after travel - even though it is fully charged (5 Bars).
But if I open the hinge to look at the contacts I notice that the engagement pin is "wobbly" so I try to help it fit back into the slot prior to re-closing the hinge and clamping the lock tightly.
It runs briefly but then repeats the stall behavior. I looked in the manual but there is no section for "troubleshooting"pointers

----
Zopim
https://www.zopim.com